### Hierarchy

- SendmailTransport

### Implements

- Transport

## Index

### Interfaces

- Options
- SentMessageInfo

### Type aliases

- MailOptions

### Constructors

- constructor

### Properties

- args
- logger
- mailer
- name
- options
- path
- version
- winbreak

### Methods

- send

## Type aliases

### Static MailOptions

MailOptions: Options

- Defined in node_modules/@types/nodemailer/lib/sendmail-transport/index.d.ts:12

## Constructors

### constructor

- new SendmailTransport(options: Options): SendmailTransport

- - Defined in node_modules/@types/nodemailer/lib/sendmail-transport/index.d.ts:39

  #### Parameters

  - ##### options: Options

  #### Returns SendmailTransport

## Properties

### args

args: string[] | false

- Defined in node_modules/@types/nodemailer/lib/sendmail-transport/index.d.ts:38

### logger

logger: Logger

- Defined in node_modules/@types/nodemailer/lib/sendmail-transport/index.d.ts:33

### mailer

mailer: Mail

Implementation of Transport.mailer

- Defined in node_modules/@types/nodemailer/lib/sendmail-transport/index.d.ts:34

### name

name: string

Implementation of Transport.name

- Defined in node_modules/@types/nodemailer/lib/sendmail-transport/index.d.ts:35

### options

options: Options

- Defined in node_modules/@types/nodemailer/lib/sendmail-transport/index.d.ts:32

### path

path: string

- Defined in node_modules/@types/nodemailer/lib/sendmail-transport/index.d.ts:37

### version

version: string

Implementation of Transport.version

- Defined in node_modules/@types/nodemailer/lib/sendmail-transport/index.d.ts:36

### winbreak

winbreak: boolean

- Defined in node_modules/@types/nodemailer/lib/sendmail-transport/index.d.ts:39

## Methods

### send

- send(mail: MailMessage, callback: function): void

- - Defined in node_modules/@types/nodemailer/lib/sendmail-transport/index.d.ts:44

  Compiles a mailcomposer message and forwards it to handler that sends it

  #### Parameters

  - ##### mail: MailMessage

  - ##### callback: function

    - - (err: Error | null, info: SentMessageInfo): void

      - #### Parameters

        - ##### err: Error | null

        - ##### info: SentMessageInfo

        #### Returns void

Generated using TypeDoc